package cn.iocoder.yudao.module.jx.service;

import cn.iocoder.yudao.module.jx.domain.DriveSchoolCoach;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.List;

/**
 * 驾校教练Service接口
 *
 * @author ruoyi
 * @date 2024-03-29
 */
public interface IDriveSchoolCoachService
{
    /**
     * 查询驾校教练
     *
     * @param id 驾校教练主键
     * @return 驾校教练
     */
    public DriveSchoolCoach selectDriveSchoolCoachById(Long id);

    /**
     * 查询驾校教练列表
     *
     * @param driveSchoolCoach 驾校教练
     * @return 驾校教练集合
     */
    public IPage<DriveSchoolCoach> selectDriveSchoolCoachList(DriveSchoolCoach driveSchoolCoach, Page<DriveSchoolCoach> page);
    public List<DriveSchoolCoach> selectDriveSchoolCoachListAll(DriveSchoolCoach driveSchoolCoach);

    /**
     * 新增驾校教练
     *
     * @param driveSchoolCoach 驾校教练
     * @return 结果
     */
    public void insertDriveSchoolCoach(DriveSchoolCoach driveSchoolCoach);

    /**
     * 修改驾校教练
     *
     * @param driveSchoolCoach 驾校教练
     * @return 结果
     */
    public int updateDriveSchoolCoach(DriveSchoolCoach driveSchoolCoach);

    /**
     * 批量删除驾校教练
     *
     * @param ids 需要删除的驾校教练主键集合
     * @return 结果
     */
    public int deleteDriveSchoolCoachByIds(Long[] ids);

    /**
     * 删除驾校教练信息
     *
     * @param id 驾校教练主键
     * @return 结果
     */
    public int deleteDriveSchoolCoachById(Long id);

    List<DriveSchoolCoach> selectDriveSchoolCoachLimitList(DriveSchoolCoach driveSchoolCoach);

//    List<DriveSchoolCoach> selectDriveSchoolCoachListAll(DriveSchoolCoach driveSchoolCoach);

    List<DriveSchoolCoach> findSelfJlListByJxId(Long jxId);
}
